Show sub account
curl --request GET \
--url https://api.creditor.younegotiate.com/sub-accounts/{subclient} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/sub-accounts/{subclient}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/sub-accounts/{subclient}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"pif_balance_discount_percent": 123,
"ppa_balance_discount_percent": 123,
"min_monthly_pay_percent": 123,
"max_days_first_pay": 123,
"settlement_auto_approve_enabled": true,
"payment_plan_auto_approve_enabled": true,
"settlement_auto_decline_enabled": true,
"payment_plan_auto_decline_enabled": true,
"pif_auto_approve_percent": 123,
"pif_integrity_percent": 123,
"min_monthly_pay_auto_approve_percent": 123,
"min_monthly_pay_integrity_percent": 123,
"max_days_first_pay_auto_approve": 123,
"has_pay_terms": true,
"company": {
"id": 123,
"company_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Show sub account
Show a creditor sub account by ID when it belongs to the authenticated creditor company.
GET
/
sub-accounts
/
{subclient}
Show sub account
Last modified on July 20, 2026
Was this page helpful?
⌘I

